## python-azure 2.0.0~rc6+dfsg

=== requirements.txt ===
futures
python-dateutil
requests
vcrpy
coverage
pyopenssl
msrest>=0.4.0,<0.5.0
msrestazure>=0.4.0,<0.5.0

=== debian/changelog ===
python-azure (2.0.0~rc6+dfsg-2) unstable; urgency=medium

  * Fixes for package dependencies.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 14:45:15 +0100

python-azure (2.0.0~rc6+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #838101)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 13:23:00 +0100

=== debian/control ===
Source: python-azure
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-requests,
               python3-requests,
               python-msrest,
               python3-msrest,
               python-msrestazure,
               python3-msrestazure,
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-azure.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-azure.git
Homepage: https://github.com/Azure/azure-sdk-for-python

Package: python-azure
Architecture: all
Depends: ${misc:Depends},
         python-msrest,
         python-msrestazure,
         python-requests
Recommends: python-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 2.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 2.x modules.

Package: python3-azure
Architecture: all
Depends: ${misc:Depends}
         python3-msrest,
         python3-msrestazure,
         python3-requests
Recommends: python-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 3.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 3.x modules.

Package: python-azure-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Microsoft Azure SDK for Python - Documentation
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=azure

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
	dh_auto_build

## python-azure 20170915+git

=== requirements.txt ===
futures;python_version<="2.7"
python-dateutil
pyopenssl
msrestazure>=0.4.0,<0.5.0

=== examples/AzureResourceViewer/requirements.txt ===
adal
azure-mgmt-compute==0.30.0rc5
azure-mgmt-network==0.30.0rc5
azure-mgmt-storage==0.30.0rc5
azure-mgmt-resource==0.30.0rc5
azure-storage==0.20.2
Flask<1
python-dateutil

=== debian/changelog ===
python-azure (20170915+git-1) unstable; urgency=medium

  * New upstream version 20170915+git
  * debian/py{,3}dist-overrides:
   - Fixed auto-dependency generation for azure-common and msrestazure
  * debian/rules:
   - Disabled tests temporarily; python-vcr needs update
  * debian/patches:
   - Removed documentation patch; no longer applies
  * debian/control:
   - Synchronised build dependencies with python packages
   - Fixed auto-dependency generation for Python 3 (Closes: #867420)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 15 Sep 2017 08:18:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,17 @@
 Build-Depends: debhelper (>= 9),
                python-all,
                python-setuptools,
+               python-azure-devtools,
+               python3-azure-devtools,
+               python-azure-storage,
+               python3-azure-storage,
+               python-flask,
+               python3-flask,
+               python-futures,
+               python-adal,
+               python3-adal,
+               python-keyring,
+               python3-keyring,
                python3-all,
                python3-setuptools,
                python-requests,
@@ -16,7 +27,7 @@
                python3-msrestazure,
                python-sphinx,
                python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-azure.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-azure.git
 Homepage: https://github.com/Azure/azure-sdk-for-python
@@ -24,6 +35,7 @@
 Package: python-azure
 Architecture: all
 Depends: ${misc:Depends},
+         ${python:Depends},
          python-msrest,
          python-msrestazure,
          python-requests
@@ -38,7 +50,8 @@
 
 Package: python3-azure
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
          python3-msrest,
          python3-msrestazure,
          python3-requests

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
 	dh_auto_build
+
+override_dh_auto_test:
+	echo "Tests are currently disabled as a bug in python-vcr means that network access is attempted for most tests, and they all fail"

=== debian/watch ===
version=4
opts="uversionmangle=s/(a|b|rc)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
 https://github.com/Azure/azure-sdk-for-python/tags .*/archive/v?(\d[abcr\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-azure 20181112%2Bgit

=== debian/changelog ===
python-azure (20181112+git-2) unstable; urgency=medium

  * Update autopkgtests to not output on stderr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 16 Nov 2018 10:56:04 +0100

python-azure (20181112+git-1) unstable; urgency=medium

  * New upstream release (Closes: #875963, #904364)
    - based on upstream commit 77f90d501cdb559978e5acfd99cd4ec4c5c59148
  * Adopt package within the Debian Python Modules Team (Closes: #889084,
    #899666)
    - Thanks to Iain R. Learmonth for his past work on the package!
  * Make python3-azure recommend python3-azure-storage instead of
    python-azure-storage (Closes: #906076)
  * Completely overhaul debian/rules to use dh-python/pybuild and be generic
    to any number of submodules.
  * Update debhelper compat level to 11
  * Update Standards-Version to 4.2.1 (No further changes)
  * Set Rules-Requires-Root: no
  * Add autopkgtests

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 15 Nov 2018 16:31:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

BASE_PACKAGE = azure

# Package all submodules except azure-sdk-tools
MODULES = $(filter-out azure-sdk-tools,$(subst /setup.py,,$(wildcard */setup.py)))

# The actual python module (egg-info) names have underscores instead of dashes
PYDIST_MODULES = $(subst -,_,$(MODULES))

# Mark the nspkg modules as "py2", other packages as "pyall"
PYVER_MODULES = $(foreach module, $(filter %-nspkg,$(MODULES)), py2-$(module)) $(foreach module, $(filter-out %-nspkg,$(MODULES)), pyall-$(module))


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	HELPERS = python2,python3,sphinxdoc
else
	HELPERS = python2,python3
endif

%:
	dh $@ --with $(HELPERS) --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	set -e; $(foreach module, $(MODULES), \
	if [ -f $(module)/setup.py.orig ]; then \
		mv $(module)/setup.py.orig $(module)/setup.py; \
	fi;)


# dh_auto_configure overrides

dh_auto_configure-py2-%:
	cp $*/setup.py $*/setup.py.orig
	sed 's/~=/>=/g' $*/setup.py.orig > $*/setup.py
	PYBUILD_DISABLE_python3=1 PYBUILD_NAME=$* dh_auto_configure --sourcedirectory=$*
	echo $* python-$(BASE_PACKAGE) >> debian/python-$(BASE_PACKAGE).pydist
	echo $* python-$(BASE_PACKAGE) >> debian/pydist-overrides

dh_auto_configure-pyall-%:
	cp $*/setup.py $*/setup.py.orig
	sed 's/~=/>=/g' $*/setup.py.orig > $*/setup.py
	PYBUILD_NAME=$* dh_auto_configure --sourcedirectory=$*
	echo $* python-$(BASE_PACKAGE) >> debian/python-$(BASE_PACKAGE).pydist
	echo $* python-$(BASE_PACKAGE) >> debian/pydist-overrides
	echo $* python3-$(BASE_PACKAGE) >> debian/python3-$(BASE_PACKAGE).pydist
	echo $* python3-$(BASE_PACKAGE) >> debian/py3dist-overrides

override_dh_auto_configure: $(foreach pyvermodule, $(PYVER_MODULES), dh_auto_configure-$(pyvermodule))


# dh_auto_build overrides

dh_auto_build-py2-%:
	PYBUILD_DISABLE_python3=1 PYBUILD_NAME=$* dh_auto_build --sourcedirectory=$*

dh_auto_build-pyall-%:
	PYBUILD_NAME=$* dh_auto_build --sourcedirectory=$*

override_dh_auto_build: $(foreach pyvermodule, $(PYVER_MODULES), dh_auto_build-$(pyvermodule))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
endif


# dh_auto_install overrides

export PYBUILD_INSTALL_ARGS_python2=--no-compile

$(CURDIR)/debian/python3-$(BASE_PACKAGE) $(CURDIR)/debian/python-$(BASE_PACKAGE):
	mkdir -p $@

dh_auto_install-py2-%: $(CURDIR)/debian/python-$(BASE_PACKAGE)
	PYBUILD_DISABLE_python3=1 PYBUILD_NAME=$* dh_auto_install --sourcedirectory=$*

	cp -rv $(CURDIR)/debian/python-$*/usr $(CURDIR)/debian/python-$(BASE_PACKAGE)
	rm -r $(CURDIR)/debian/python-$*

dh_auto_install-pyall-%: $(CURDIR)/debian/python3-$(BASE_PACKAGE) $(CURDIR)/debian/python-$(BASE_PACKAGE)
	PYBUILD_NAME=$* dh_auto_install --sourcedirectory=$*

	cp -rv $(CURDIR)/debian/python-$*/usr $(CURDIR)/debian/python-$(BASE_PACKAGE)
	rm -r $(CURDIR)/debian/python-$*
	cp -rv $(CURDIR)/debian/python3-$*/usr $(CURDIR)/debian/python3-$(BASE_PACKAGE)
	rm -r $(CURDIR)/debian/python3-$*

dh_auto_install-pyall-$(BASE_PACKAGE):
	PYBUILD_NAME=$(BASE_PACKAGE) dh_auto_install --sourcedirectory=$(BASE_PACKAGE)

override_dh_auto_install: $(foreach pyvermodule, $(PYVER_MODULES), dh_auto_install-$(pyvermodule))
	# Remove python3-only files that will fail to byte-compile from the python2 package
	find $(CURDIR)/debian/python-$(BASE_PACKAGE) -name '*_py3.py' -delete


# dh_auto_test overrides

override_dh_auto_test:
# Don't test at build time: the circular dependency on python-azure-storage
# makes this way too messy

## python-azure 20181112+git

=== debian/changelog ===
python-azure (20181112+git-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Add a workaround for pybuild now generating Depends:
    python3-azure-storage.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Aug 2019 00:19:52 +0500

=== debian/control ===
Source: python-azure
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-adal,
               python3-all,
               python3-azure-devtools (>= 1.1.0),
               python3-flask,
               python3-keyring,
               python3-msrest (>= 0.5~),
               python3-msrestazure (>= 0.5~),
               python3-recommonmark,
               python3-requests,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.2.1
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure.git
Homepage: https://github.com/Azure/azure-sdk-for-python

Package: python3-azure
Architecture: all
Depends: python3-msrest,
         python3-msrestazure,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 3.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 3.x modules.

Package: python-azure-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Microsoft Azure SDK for Python - Documentation
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

BASE_PACKAGE = azure

# Package all submodules except azure-sdk-tools
MODULES = $(filter-out azure-sdk-tools,$(subst /setup.py,,$(wildcard */setup.py)))

# The actual python module (egg-info) names have underscores instead of dashes
PYDIST_MODULES = $(subst -,_,$(MODULES))

# Filter out the nspkg modules
PY3_MODULES = $(foreach module, $(filter-out %-nspkg,$(MODULES)), $(module))

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	HELPERS = python3,sphinxdoc
else
	HELPERS = python3
endif

%:
	dh $@ --with $(HELPERS) --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	set -e; $(foreach module, $(MODULES), \
	if [ -f $(module)/setup.py.orig ]; then \
		mv $(module)/setup.py.orig $(module)/setup.py; \
	fi;)


# dh_auto_configure overrides

dh_auto_configure-%:
	cp $*/setup.py $*/setup.py.orig
	sed 's/~=/>=/g' $*/setup.py.orig > $*/setup.py
	sed -i '/azure-storage-/d' $*/setup.py
	PYBUILD_NAME=$* dh_auto_configure --sourcedirectory=$*
	echo $* python3-$(BASE_PACKAGE) >> debian/python3-$(BASE_PACKAGE).pydist
	echo $* python3-$(BASE_PACKAGE) >> debian/py3dist-overrides

override_dh_auto_configure: $(foreach pyvermodule, $(PY3_MODULES), dh_auto_configure-$(pyvermodule))


# dh_auto_build overrides

dh_auto_build-%:
	PYBUILD_NAME=$* dh_auto_build --sourcedirectory=$*

override_dh_auto_build: $(foreach pyvermodule, $(PY3_MODULES), dh_auto_build-$(pyvermodule))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/ doc/_build/html # HTML generator
endif


# dh_auto_install overrides

$(CURDIR)/debian/python3-$(BASE_PACKAGE):
	mkdir -p $@

dh_auto_install-%: $(CURDIR)/debian/python3-$(BASE_PACKAGE)
	PYBUILD_NAME=$* dh_auto_install --sourcedirectory=$*

	cp -rv $(CURDIR)/debian/python3-$*/usr $(CURDIR)/debian/python3-$(BASE_PACKAGE)
	rm -r $(CURDIR)/debian/python3-$*

dh_auto_install-$(BASE_PACKAGE):
	PYBUILD_NAME=$(BASE_PACKAGE) dh_auto_install --sourcedirectory=$(BASE_PACKAGE)

override_dh_auto_install: $(foreach pyvermodule, $(PY3_MODULES), dh_auto_install-$(pyvermodule))

# dh_auto_test overrides

override_dh_auto_test:
# Don't test at build time: the circular dependency on python-azure-storage
# makes this way too messy

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-azure,
 python3-azure-devtools,
 python3-azure-storage,
 python3-openssl,
 python3-pytest,
 python3-pytest-cov

## python-azure 20200130%2Bgit

=== common/smoketest/requirements.txt ===
azure-common==1.1.23
azure-core==1.0.0b3
azure-cosmos==4.0.0b2
azure-eventhub==5.0.0b3
azure-identity==1.0.0b3
azure-keyvault-certificates==4.0.0b3
azure-keyvault-keys==4.0.0b3
azure-keyvault-secrets==4.0.0b3
azure-storage-blob==12.0.0b3
azure-storage-common==2.1.0

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio;python_full_version>="3.5.3"
aiohttp;python_full_version>="3.5.3"

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-azure
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nicolas Dandrimont <olasd@debian.org>
+Uploaders: Nicolas Dandrimont <olasd@debian.org>,
+           Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 11),
@@ -8,16 +9,23 @@
                python3-adal,
                python3-all,
                python3-azure-devtools (>= 1.1.0),
+               python3-azure-cosmos,
+               python3-azure-cosmosdb-table,
+               python3-azure-datalake-store,
+               python3-azure-storage,
                python3-flask,
                python3-keyring,
+               python3-msal,
+               python3-msal-extensions,
                python3-msrest (>= 0.5~),
                python3-msrestazure (>= 0.5~),
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.2.1
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-uamqp,
+Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
@@ -43,6 +51,7 @@
 Package: python-azure-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Microsoft Azure SDK for Python - Documentation
  The Azure SDK provides a set of Python packages that make it easy to access

=== debian/rules ===
#!/usr/bin/make -f

BASE_PACKAGE = azure

# Package all submodules except azure-sdk-tools, azure-devtools, *nspkg
MODULES = $(filter-out sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/storage/azure-storage-blob sdk/storage/azure-storage-queue %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py)))

# rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
MODULES_ESCAPE = $(subst /,...,$(MODULES))

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	HELPERS = python3,sphinxdoc
else
	HELPERS = python3
endif

%:
	dh $@ --with $(HELPERS) --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	set -e; $(foreach module, $(MODULES), \
	if [ -f $(module)/setup.py.orig ]; then \
		mv $(module)/setup.py.orig $(module)/setup.py; \
	fi;)


# dh_auto_configure overrides

dh_auto_configure-%:
	cp $(subst ...,/,$*)/setup.py $(subst ...,/,$*)/setup.py.orig
	sed 's/~=/>=/g' $(subst ...,/,$*)/setup.py.orig > $(subst ...,/,$*)/setup.py
	sed -i '/^\s*azure-storage-/d' $(subst ...,/,$*)/setup.py
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_configure --sourcedirectory=$(subst ...,/,$*)
	echo $(notdir $(subst ...,/,$*)) python3-$(BASE_PACKAGE) >> debian/python3-$(BASE_PACKAGE).pydist
	echo $(notdir $(subst ...,/,$*)) python3-$(BASE_PACKAGE) >> debian/py3dist-overrides

override_dh_auto_configure: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_configure-$(pyvermodule))


# dh_auto_build overrides

dh_auto_build-%:
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_build --sourcedirectory=$(subst ...,/,$*)

override_dh_auto_build: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_build-$(pyvermodule))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/sphinx doc/sphinx/_build/html # HTML generator
endif


# dh_auto_install overrides

$(CURDIR)/debian/python3-$(BASE_PACKAGE):
	mkdir -p $@

dh_auto_install-%: $(CURDIR)/debian/python3-$(BASE_PACKAGE)
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_install --sourcedirectory=$(subst ...,/,$*)

	cp -rv $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))/usr $(CURDIR)/debian/python3-$(BASE_PACKAGE)
	rm -r $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))

dh_auto_install-sdk...core...$(BASE_PACKAGE):
	PYBUILD_NAME=$(BASE_PACKAGE) dh_auto_install --sourcedirectory=sdk/core/$(BASE_PACKAGE)
	# Make the build reproducible
	sort --stable -o debian/python3-$(BASE_PACKAGE).pydist debian/python3-$(BASE_PACKAGE).pydist

override_dh_auto_install: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_install-$(pyvermodule))

# dh_auto_test overrides

override_dh_auto_test:
# Don't test at build time: the circular dependency on python-azure-storage
# makes this way too messy

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,5 @@
  python3-azure-storage,
  python3-openssl,
  python3-pytest,
- python3-pytest-cov
+ python3-pytest-cov,
+ python3-trio,

## python-azure 20200130+git

=== debian/changelog ===
python-azure (20200130+git-2) unstable; urgency=medium

  * Mark python-azure-doc with <!nodoc> profile.
  * Fix autopkgtest script to account for new source layout.
  * Backport patch to correctly skip some tests that require a working
    endpoint.

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Feb 2020 11:46:23 +0000

python-azure (20200130+git-1) unstable; urgency=medium

  * New upstream release (Closes: #949763)
    - based on upstream commit 00aaee5fd23006b15c5ba3a220ed9e81f3f0839a
  * d/rules: refactor for new doc directory layout.
  * d/rules: refactor to accommodate new upstream source layout.
  * Bump Standards-Version to 4.5.0, no changes.
  * Sort pydist to make the build reproducible.
  * Do not vendor azure-cosmos, shipped as a separate package now.
  * Do not vendor azure-storage-blob and -queue, shipped as a separate
    package now.
  * Add dependencies on new packages required by the new version.
  * Do not ship opentelemetry and opencensus, missing dependencies in
    Debian.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2020 20:47:05 +0000

## python-azure 20200721+git

=== debian/changelog ===
python-azure (20200721+git-1) unstable; urgency=medium

  * New upstream version 20200721+git
  * autopkgtest: add new failing tests that require subscription to ignore
    list

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 13:50:00 +0100

python-azure (20200519+git-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/20200519+git'
  * Refresh patches for new upstream import
  * Don't install azure-mgmt/azure-storage/azure, deprecated stubs
  * Autopkgtest: add new dependencies and ignore tests that fail due to
    the network
  * Autopkgtest: add needs-internet restriction (Closes: #958569)

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 May 2020 15:47:42 +0100

python-azure (20200130+git-3) unstable; urgency=medium

  * Sort modules when acting on them in d/rules, and use LC_ALL=C when
    sorting pydist
  * Add 0002-docs-repro.patch and build-depend on python3-doc for
    reproducibility
  * autopkgtest: remove patch and copy root conftest.py
  * Update d/copyright paths for new source layout
  * Bump debhelper-compat to 12
  * Take over python3-azure-storage from src:python-azure-storage (Closes:
    #954922)
  * Override Lintian warning intra-source-package-circular-dependency

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Apr 2020 14:51:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-adal,
                python3-all,
@@ -12,7 +12,7 @@
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
-               python3-azure-storage,
+               python3-doc <!nodoc>,
                python3-flask,
                python3-keyring,
                python3-msal,
@@ -39,7 +39,6 @@
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-azure-storage
 Suggests: python-azure-doc
 Description: Microsoft Azure SDK for Python 3.x
  The Azure SDK provides a set of Python packages that make it easy to access
@@ -59,3 +58,16 @@
  ServiceBug.
  .
  This package contains the HTML documentation.
+
+Package: python3-azure-storage
+Architecture: all
+Depends: python3-cryptography (>= 1.1~),
+         ${misc:Depends},
+         ${python3:Depends}
+Breaks: python3-azure (<< 20200130+git-3~)
+Replaces: python3-azure (<< 20200130+git-3~)
+Description: Microsoft Azure Storage Library for Python 3.x
+ This Python module provides an API for consuming Microsoft Azure Storage
+ services including Blob, Queue, Table and Files.
+ .
+ This is the Python 3 version of the package.

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,12 @@
  python3-azure,
  python3-azure-devtools,
  python3-azure-storage,
+ python3-httpretty,
+ python3-mock,
  python3-openssl,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-cov,
  python3-trio,
+Restrictions:
+ needs-internet,

## python-azure 20201208%2Bgit

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio;python_version>="3.5"
aiohttp>=3.0; python_version >= '3.5'

=== debian/rules ===
#!/usr/bin/make -f

# Package all submodules except azure-sdk-tools, azure-devtools, *nspkg
MODULES = $(sort $(filter-out sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))

# rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
MODULES_ESCAPE = $(subst /,...,$(MODULES))

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	HELPERS = python3,sphinxdoc
else
	HELPERS = python3
endif

%:
	dh $@ --with $(HELPERS) --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	set -e; $(foreach module, $(MODULES), \
	if [ -f $(module)/setup.py.orig ]; then \
		mv $(module)/setup.py.orig $(module)/setup.py; \
	fi;)


# dh_auto_configure overrides

dh_auto_configure-sdk...storage...azure-storage-%:
	cp sdk/storage/azure-storage-$*/setup.py sdk/storage/azure-storage-$*/setup.py.orig
	sed 's/~=/>=/g' sdk/storage/azure-storage-$*/setup.py.orig > sdk/storage/azure-storage-$*/setup.py
	PYBUILD_NAME=$(notdir $(subst -,_,sdk/storage/azure-storage-$*)) dh_auto_configure --sourcedirectory=sdk/storage/azure-storage-$*
	echo $(notdir sdk/storage/azure-storage-$*) python3-azure-storage >> debian/python3-azure-storage.pydist
	echo $(notdir sdk/storage/azure-storage-$*) python3-azure-storage >> debian/py3dist-overrides

dh_auto_configure-%:
	cp $(subst ...,/,$*)/setup.py $(subst ...,/,$*)/setup.py.orig
	sed 's/~=/>=/g' $(subst ...,/,$*)/setup.py.orig > $(subst ...,/,$*)/setup.py
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_configure --sourcedirectory=$(subst ...,/,$*)
	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/python3-azure.pydist
	echo $(notdir $(subst ...,/,$*)) python3-azure >> debian/py3dist-overrides

override_dh_auto_configure: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_configure-$(pyvermodule))


# dh_auto_build overrides

dh_auto_build-%:
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_build --sourcedirectory=$(subst ...,/,$*)

override_dh_auto_build: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_build-$(pyvermodule))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/sphinx doc/sphinx/_build/html # HTML generator
endif


# dh_auto_install overrides

$(CURDIR)/debian/python3-azure-storage:
	mkdir -p $@

dh_auto_install-sdk...storage...azure-storage-%: $(CURDIR)/debian/python3-azure-storage
	PYBUILD_NAME=$(subst -,_,azure-storage-$*) dh_auto_install --sourcedirectory=sdk/storage/azure-storage-$*

	cp -rv $(CURDIR)/debian/python3-azure-storage-$*/usr $(CURDIR)/debian/python3-azure-storage
	rm -r $(CURDIR)/debian/python3-azure-storage-$*

$(CURDIR)/debian/python3-azure:
	mkdir -p $@

dh_auto_install-%: $(CURDIR)/debian/python3-azure
	PYBUILD_NAME=$(notdir $(subst -,_,$(subst ...,/,$*))) dh_auto_install --sourcedirectory=$(subst ...,/,$*)

	cp -rv $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))/usr $(CURDIR)/debian/python3-azure
	rm -r $(CURDIR)/debian/python3-$(notdir $(subst ...,/,$*))

dh_auto_install-sdk...core...azure:
	PYBUILD_NAME=azure dh_auto_install --sourcedirectory=sdk/core/azure
	# Make the build reproducible
	LC_ALL=C sort --stable -o debian/python3-azure.pydist debian/python3-azure.pydist
	LC_ALL=C sort --stable -o debian/python3-azure-storage.pydist debian/python3-azure-storage.pydist

override_dh_auto_install: $(foreach pyvermodule, $(MODULES_ESCAPE), dh_auto_install-$(pyvermodule))
	# For some reason the __init__ is not picked up
	mkdir -p $(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
	cp -v sdk/storage/azure-storage-blob/azure/__init__.py \
		$(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/

# dh_auto_test overrides

override_dh_auto_test:
# Don't test at build time: the circular dependency on python-azure-storage
# makes this way too messy

## python-azure 20201208+git

=== eng/versioning/requirements.txt ===
packaging==19.2
pyparsing==2.4.5
six==1.13.0

=== debian/changelog ===
python-azure (20201208+git-6) unstable; urgency=medium

  * Skip test_mgmt_compute_vmss.py::MgmtComputeTest::test_compute_vmss_rol
    ling_upgrades

 -- Luca Boccassi <bluca@debian.org>  Wed, 21 Apr 2021 10:56:09 +0100

python-azure (20201208+git-5) unstable; urgency=medium

  * Skip test_mgmt_resource_managed_application.py::MgmtResourceLinksTest:
    :test_application (Closes: #984894)

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Apr 2021 20:56:52 +0100

python-azure (20201208+git-4) unstable; urgency=high

  * Update azure-mgmt-resources to 16.0.0 (Closes: #981318)

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Mar 2021 21:29:31 +0000

python-azure (20201208+git-3) unstable; urgency=medium

  * Deselect tests that need a working remote connection from autopkgtest
    run (Closes: #978960)

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Jan 2021 14:18:01 +0000

python-azure (20201208+git-2) unstable; urgency=medium

  * Drop revert-batch.patch, it is now declared stable

 -- Luca Boccassi <bluca@debian.org>  Tue, 29 Dec 2020 19:53:32 +0000

python-azure (20201208+git-1) unstable; urgency=medium

  * New upstream version 20201208+git
  * Drop 0003-mgmt-resource-revert.patch, not needed anymore
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Add duplicated-named-function.patch to fix syntax error
  * Add new build-dependency on python3-dotenv for tests
  * Revert azure-batch to version 9

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Dec 2020 19:32:09 +0000

python-azure (20201118+git-1) unstable; urgency=medium

  * New upstream version 20201118+git

 -- Luca Boccassi <bluca@debian.org>  Wed, 18 Nov 2020 18:51:06 +0000

python-azure (20201028+git-1) unstable; urgency=medium

  * New upstream version 20201028+git
    (Closes: #973020)
  * Disable new tests that need functioning network

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Oct 2020 10:58:58 +0000

python-azure (20200927+git-1) unstable; urgency=medium

  * New upstream version 20200927+git
  * Manually depend on python3-avro, dh_python cannot figure it out
  * Revert azure-mgmt-resource to version 10

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Oct 2020 17:07:23 +0100

python-azure (20200921+git-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * New upstream version 20200921+git
  * Refresh 0002-docs-repro.patch to remove fuzz
  * Add new dependencies
  * Autopkgtest: always install build-deps
  * Autopkgtest: skip avro tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Sep 2020 14:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-azure
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
            Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-adal,
                python3-all,
+               python3-avro (>= 1.10.0~),
                python3-azure-devtools (>= 1.1.0),
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
                python3-doc <!nodoc>,
                python3-flask,
+               python3-isodate,
                python3-keyring,
                python3-msal,
                python3-msal-extensions,
@@ -24,12 +26,13 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-typing-extensions,
                python3-uamqp,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-azure.git
 Homepage: https://github.com/Azure/azure-sdk-for-python
 
 Package: python3-azure
@@ -37,6 +40,7 @@
 Depends: python3-msrest,
          python3-msrestazure,
          python3-requests,
+         python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-azure-doc

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Tests: python3-tests
 Depends:
- python3-all,
+ @builddeps@,
  python3-azure,
- python3-azure-devtools,
  python3-azure-storage,
+ python3-dotenv,
  python3-httpretty,
  python3-mock,
  python3-openssl,

## python-azure 20211104+git

=== debian/changelog ===
python-azure (20211104+git-1) unstable; urgency=medium

  * New upstream version 20211104+git
  * Drop obsolete patches
  * Skip sdk/monitor/azure-monitor
  * Add new dependencies
  * Ignore very-long-line-length-in-source-file lintian warning
  * Bump Standards-Version to 4.6.0, no changes
  * Add new python3-parameterized test dependency
  * Skip broken tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 00:38:43 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
+               python3-chardet,
                python3-doc <!nodoc>,
                python3-flask,
                python3-isodate,
                python3-keyring,
+               python3-jwt,
                python3-msal,
                python3-msal-extensions,
                python3-msrest (>= 0.5~),
@@ -24,11 +26,12 @@
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
+               python3-six,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions,
                python3-uamqp,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  python3-httpretty,
  python3-mock,
  python3-openssl,
+ python3-parameterized,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,

## python-azure 20220407+git

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio
aiohttp>=3.0

=== debian/changelog ===
python-azure (20220407+git-1) unstable; urgency=medium

  * Bump dependency on python3-typing-extensions
  * New upstream version 20220407+git
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Apr 2022 15:39:02 +0100

python-azure (20220302+git-1) unstable; urgency=medium

  * New upstream version 20220302+git
  * Use dh-sequence-* instead of --with
  * Delete autopkgtest, now requires running docker

 -- Luca Boccassi <bluca@debian.org>  Wed, 02 Mar 2022 15:23:35 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-adal,
                python3-all,
                python3-avro (>= 1.10.0~),
@@ -29,7 +31,7 @@
                python3-six,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typing-extensions,
+               python3-typing-extensions (>= 3.10~),
                python3-uamqp,
 Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,13 @@
 #!/usr/bin/make -f
 
 # Package all submodules except azure-sdk-tools, azure-devtools, *nspkg
-MODULES = $(sort $(filter-out sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
+MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))
 
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	HELPERS = python3,sphinxdoc
-else
-	HELPERS = python3
-endif
-
 %:
-	dh $@ --with $(HELPERS) --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_clean:

## python-azure 20221101+git

=== debian/changelog ===
python-azure (20221101+git-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Dec 2022 11:56:36 +0000

python-azure (20221101+git-2) unstable; urgency=medium

  * Drop dependency on deprecated python3-azure-devtools

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Dec 2022 19:08:47 +0000

python-azure (20221101+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Nov 2022 11:26:47 +0000

python-azure (20221101+git-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes
  * d/copyright: exclude large test cases from the import
  * New upstream version 20221101+git
  * Install apache2 NOTICE in python3-azure
  * Drop obsolete dependencies

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 19:45:10 +0000

python-azure (20220407+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Apr 2022 12:05:27 +0200

python-azure (20220302+git-1~bpo11+2) bullseye-backports; urgency=medium

  * Bump dependency on python3-typing-extensions

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Mar 2022 16:31:28 +0000

python-azure (20220302+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Mar 2022 11:45:10 +0000

python-azure (20211104+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Nov 2021 19:59:45 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,6 @@
                python3-adal,
                python3-all,
                python3-avro (>= 1.10.0~),
-               python3-azure-devtools (>= 1.1.0),
-               python3-azure-cosmos,
-               python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
                python3-chardet,
                python3-doc <!nodoc>,
@@ -33,7 +30,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure

## python-azure 20230112%2Bgit

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure

## python-azure 20230112+git

=== tools/azure-sdk-tools/ci_tools/versioning/requirements.txt ===
packaging==19.2
pyparsing==2.4.5
six==1.13.0
setuptools==44.1.1

=== debian/changelog ===
python-azure (20230112+git-1) unstable; urgency=medium

  * New upstream version 20230112+git
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Jan 2023 01:43:12 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-# Package all submodules except azure-sdk-tools, azure-devtools, *nspkg
-MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
+# Package all submodules except azure-sdk-tools, *nspkg
+MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))
@@ -79,6 +79,9 @@
 	mkdir -p $(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
 	cp -v sdk/storage/azure-storage-blob/azure/__init__.py \
 		$(CURDIR)/debian/python3-azure-storage/usr/lib/python3/dist-packages/azure/storage/
+	# Apache2 license notice
+	mkdir -p $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
+	cp -v sdk/ml/azure-ai-ml/NOTICE.txt $(CURDIR)/debian/python3-azure/usr/share/doc/python3-azure/
 
 # dh_auto_test overrides

## python-azure 20230705+git

=== tools/azure-sdk-tools/ci_tools/versioning/requirements.txt ===
packaging==23.1
pyparsing==2.4.5
six==1.13.0
setuptools==67.6.0

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
../../../../../tools/azure-devtools
../../../../../tools/azure-sdk-tools
pytest
pytest-asyncio
aiohttp>=3.0

=== debian/changelog ===
python-azure (20230705+git-1) unstable; urgency=medium

  * New upstream version 20230705+git (Closes: #1040406)
  * python3-azure-doc: mark as MA foreign

 -- Luca Boccassi <bluca@debian.org>  Wed, 05 Jul 2023 20:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
 Package: python-azure-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Microsoft Azure SDK for Python - Documentation

## python-azure 20240522+git

=== debian/changelog ===
python-azure (20240522+git-2) unstable; urgency=medium

  * Add build dependency on python3-myst-parser

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 May 2024 10:40:26 +0100

python-azure (20240522+git-1) unstable; urgency=medium

  * New upstream version 20240522+git
  * Do not build crc64 extension, it is cpython
  * Refresh 0002-docs-repro.patch
  * Add one more file to d/s/options ignore list
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 23:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                python3-msal-extensions,
                python3-msrest (>= 0.5~),
                python3-msrestazure (>= 0.5~),
+               python3-myst-parser <!nodoc>,
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
@@ -30,7 +31,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Package all submodules except azure-sdk-tools, *nspkg
-MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
+MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage-extensions sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))

## python-azure 20240709+git

=== debian/changelog ===
python-azure (20240709+git-1) unstable; urgency=medium

  * Take over python3-azure-cosmos legacy separate package
  * New upstream version 20240709+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2024 10:58:01 +0100
